KJL BUGS - Bug #2411

[HR-TIMEDATA]permintaan job query untuk merapikan attendance yang lintas hari
11/16/2023 10:45 PM - Muhammad Bintar

Status: QA Test Start date: 11/16/2023
Priority: Immediate Due date: 11/20/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

dear tim developer mohon suppport nya untuk merapikan attendance yang lintas hari dimana jika startdate nya tidak sama dengan
end date maka enddate nya disamakan dengan startdate.

History

#1 - 11/20/2023 10:45 AM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Muhammad Bintar

update PHRPAO0019 set EndDate=StartDate where StartDate |=EndDate and AttendanceType in (select distinct AttendanceType from
PHRTMATTTYP where CrossDay="Y")

#2 - 11/20/2023 10:46 AM - shofwan shiddiq

sebelum di execute jangan lupa di backup dulu ya masbin

#3 - 11/21/2023 03:54 PM - M Azid Wahyudi
- File CREATE TRIGGER AfterinsertPHRPA0019.txt added

dear masbin ,, berikut ini query after insert untuk crossday

makasih

#4 - 11/22/2023 11:47 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#5 - 11/27/2023 02:28 PM - Muhammad Bintar
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

ada bug dimana enddate nya semua attendance menjadi tanggal 24 november semua

#6 - 11/28/2023 11:28 AM - Kezia Pawitra Yulianti

- Priority changed from High to Immediate

#7 - 12/08/2023 04:42 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , berikut ini afterinsert yang udah di rapihkan :

USE [MinovaES_KJL_Prod]

GO

/****** Object: Trigger [dbo].[AfterinsertPHRPA0019CrossDay] Script Date: 08/12/2023 16:39:53 **/
SET ANSI_NULLS ON

GO

SET QUOTED_IDENTIFIER ON

GO

ALTER TRIGGER [dbo].[AfterInsertPHRPA0019CrossDay]

ON [dbo].[PHRPA0019]
AFTER INSERT

AS

BEGIN

SET NOCOUNT ON;

UPDATE p
SET EndDate = p.StartDate
FROM PHRPAOO19 p
INNER JOIN inserted i ON p.EmployeeID = i.EmployeeID
WHERE 1i.StartDate != p.EndDate
END;

makasih

Files

CREATE TRIGGER AfterinsertPHRPA0019.txt 277 Bytes 11/21/2023 M Azid Wahyudi
